Name: its4
Version: 1.1.1
Release: alt1

Summary: Tool that statically scans C and C++ source code for potential security vulnerabilities
License: Free for non-commercial use
Group: Development/C++
Url: http://www.cigital.com/%name/

Source0: %name-%version.tar.bz2
Source1: %name.ps.bz2

%if "%nosource" == "1"
NoSource: 0
NoSource: 1
%endif

Prefix: %prefix

# Automatically added by buildreq on Wed Aug 08 2001
BuildRequires: gcc-c++ libstdc++-devel

%description
ITS4 is  a tool  that   statically scans C  and   C++ source code  for
potential security vulnerabilities.   It  is a command-line  tool that
works across Unix  environments  (hopefully) and will also  work under
Windows with CygWin installed.  ITS4  scans code, looking for function
calls that  are potentially dangerous.  For some  calls, ITS4 tries to
perform some code analysis  to determine  how  risky the call is.   In
each    case,  ITS4 provides  a  problem    report, including  a short
description of the potential problem and suggestions on how to fix the
code.

%prep
%setup -q -n %name
install -p -m644 %SOURCE1 .

%build
./configure --prefix=%prefix --datadir=%_datadir/%name --mandir=%_mandir
%make_build OPTIMIZATION="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_datadir/%name,%_mandir/man1}
%make_install install \
	INSTALL_BINDIR=$RPM_BUILD_ROOT%_bindir \
	INSTALL_DATADIR=$RPM_BUILD_ROOT%_datadir/%name \
	INSTALL_MANDIR=$RPM_BUILD_ROOT%_mandir

%files
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%doc BUGS CHANGES LICENSE README TODO %name.ps.bz2

%changelog
* Tue Oct 03 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.1-alt1
- Updated:
  + Release 1.1.1;
  + URL;
  + Automatically added BuildRequires.

* Mon Sep 11 2000 Dmitry V. Levin <ldv@fandra.org> 1.0-1ipl
- Initial revision.
